Bug 199261 - jwhois doesn't know about whois.eu
jwhois doesn't know about whois.eu
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: jwhois (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Vitezslav Crhonek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-18 10:19 EDT by Peter Bieringer
Modified: 2009-01-28 05:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-28 05:01:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2006-07-18 10:19:53 EDT
+++ This bug was initially created as a clone of Bug #188366 +++

Nothing more to say - whois anything.eu should ask whois.eu instead of
whois.internic.net. Obvious workaround is to use whois @whois.eu, so I set
severity as low, but it will be a nice enhancement if someone makes it
automatic. Whois.eu operates since months now and it's a little surprising that
it didn't make it into FC5 jwhois.

+++

Current version on RHEL4: jwhois-3.2.2-6.EL4.1

Can one push a newer release of jwhois also to RHEL3 and RHEL4? Not good that
versions here are going to be rather outdated over time.

Also for RHEL outstanding fixes related to IPv6 address lookup:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=191286
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=191290
Comment 1 Miloslav Trmač 2006-07-19 17:17:27 EDT
Thanks for your report.

An RHEL update containing an updated configuration file would
be very likely already obsolete by the time it gets thoroughly tested and
issued as a part of an RHEL update release.  The upstream configuration file
available at
http://savannah.gnu.org/cgi-bin/viewcvs/*checkout*/jwhois/jwhois/example/jwhois.conf?rev=HEAD&content-type=text/plain
contains updated configuration, you can use it instead of /etc/jwhois.conf
shipped in the RHEL jwhois package.

The IPv6 patch from #191286 should be released upstream before it
appears in RHEL, otherwise it might be necessary to maintain the patch
(potentially incompatible with upstream jwhois) forever.

I'll keep the report open to track the #191286 patch acceptance.

If you are a RHEL customer and have an active support entitlement, please
contact official Red Hat Support at https://www.redhat.com/apps/support/ to
allow correct prioritization of this issue.
Comment 2 Peter Bieringer 2006-07-24 18:52:12 EDT
Hmm, are jwhois maintainers are thinking about a next release in a short time
frame...I'm unsure...the last one is rather old and all of the IPv6 regexp data
extensions are currently maintained by packagers.

So to reach the 99% ;-) IPv6 support for RHEL5, the mentioned patch
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=191286#c2 should be
maintained by RH until jwhois maintainers are (proudly) present a new
version...so this would require staging to FC5 and FC6-devel (test2 ???) soon to
become available at least in RHEl5 (and be "backported" to at least RHEL4 also).

For me personally, it's more or less a low-prio issue (for the moment), but I
can sure open a call if it helps.
Comment 3 Miloslav Trmač 2006-07-24 18:59:18 EDT
Unfortunately jwhois releases are not very frequent;  nevertheless I'd strongly
prefer an official upstream release with the new configuration options.

A support ticket would mainly affect the prioritization of the issue (whether
it is considered for an update release) - but probably not override the
upstream release requirement.
Comment 4 Norm Murray 2008-12-16 20:00:41 EST
This and seemingly related 204065 have been hanging around for two years
without getting out and this still has an open support case against it. (Though with the limitation of only one BZ per IT, the association can't be made - IT 100898). 

Nominating for FasTrack to see if we can get this out.
Comment 10 errata-xmlrpc 2009-01-28 05:01:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0055.html

Note You need to log in before you can comment on or make changes to this bug.